package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfExpressTemplate;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface TbCfExpressTemplateRepository extends PagingAndSortingRepository<TbCfExpressTemplate,String> {
    @Query(value = "select distinct t2 from #{#entityName} t2 left join TbCfExpTemKeyword t1 on t1.templateId=t2.templateId" +
            "     where t1.keyword LIKE concat('%',:keyword,'%') or t1.enkeyword  LIKE concat('%',:keyword,'%')")
    List<TbCfExpressTemplate> getTemplateByKeyword(@Param("keyword") String keyword);

    TbCfExpressTemplate findFirstByOrderByTemplateIdAsc();
}

